libsigc++ 2.99.3

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | List of all members
sigc::functor_trait< T_functor, I_derives_functor_base, I_can_use_decltype > Struct Template Reference
Functors

Trait that specifies the return type of any type. More...

`#include <sigc++/functors/functor_trait.h>`

## Public Types
using | functor_type = T_functor
using | result_type = void

## Detailed Description

### template<class T_functor, bool I_derives_functor_base = std::is_base_of<functor_base,T_functor>::value, bool I_can_use_decltype = can_deduce_result_type_with_decltype<T_functor>::value>
struct sigc::functor_trait< T_functor, I_derives_functor_base, I_can_use_decltype >

Trait that specifies the return type of any type.

Template specializations for functors derived from sigc::functor_base, for other functors whose result type can be deduced with decltype(), for function pointers and for class methods are provided.

Template Parameters

  T_functor | Functor type.
  I_derives_functor_base | Whether `T_functor` inherits from sigc::functor_base.
  I_can_use_decltype | Whether the result type of `T_functor` can be deduced with decltype().

## Member Typedef Documentation

template <class T_functor, bool I_derives_functor_base = std::is_base_of<functor_base,T_functor>::value, bool I_can_use_decltype = can_deduce_result_type_with_decltype<T_functor>::value>

using sigc::functor_trait< T_functor, I_derives_functor_base, I_can_use_decltype >::functor_type = T_functor

template <class T_functor, bool I_derives_functor_base = std::is_base_of<functor_base,T_functor>::value, bool I_can_use_decltype = can_deduce_result_type_with_decltype<T_functor>::value>

using sigc::functor_trait< T_functor, I_derives_functor_base, I_can_use_decltype >::result_type = void